Subject: bug#7921: 23.2.91; js-mode font lock problem with comments

From: Deniz Dogan <[email-masked]>
Date: Thu, 27 Jan 2011 04:26:53 +0100

2011/1/27 Stefan Monnier <[email-masked]>:
>> path=/";/ # Everything following and including the last / is string face
>> path="; # Everything is fine
>> path=//"; # Everything is fine
>
> I've put the above three lines in ~/tmp/foo.js and opened it with
> Debian's emacs23 and I don't think I see the problems you describe in
> the comments.  OTOH I see other problems of highlighting but they're
> largely due to the code itself being meaningless, AFAIK (# is not
> a comment marker in javascript, is it?).
>

I'm sorry, I should have been more clear. The # signs are
meta-comments, please leave them out when trying to reproduce the
problem.

-- 
Deniz Dogan